# Function normalizeAmount

- normalizeAmount(amount, decimals): bigint

- Converts a human friendly decimal number to base units as an integer

  #### Parameters

  - ##### amount: string | number

    The decimal number as a string to convert into base units

  - ##### decimals: bigint

    the number of decimals to normalize to

  #### Returns bigint

  The amount converted to base units as a BigNumber

  - Defined in core/base/dist/esm/utils/amount.d.ts:8

Generated using TypeDoc